> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取文档修订版本列表

> 列出文档的修订版本，最新的在前。接收的是 [获取文档列表](/zh/api-reference/documents-and-chunks/list-documents) 返回的文档 ID，而不是文档文件 ID。

每个修订版本都会注明其对应的文档文件。文档 ID 与文档文件 ID 的关系，详见 [浏览文档和分段](/zh/api-reference/guides/knowledge-base#browse-documents-and-chunks)。

填充分页前，会先排除该密钥无法读取其文档文件的修订版本。即使某页的修订版本少于 `limit` 个，也要继续沿 `next_cursor` 翻页。



## OpenAPI

````yaml /zh/api-reference/openapi_service.json get /knowledge-fs/spaces/{knowledge_base_id}/documents/{document_id}/revisions
openapi: 3.0.1
info:
  description: 用于 Dify 应用与知识库的 REST API。应用类接口使用应用 API 密钥认证，知识库类接口使用知识库 API 密钥认证。
  title: Dify 服务 API
  version: 1.0.0
servers:
  - description: Dify 服务 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - description: 与聊天消息和交互相关的操作。
    name: 对话消息
  - description: 文件上传和预览操作。
    name: 文件操作
  - description: 终端用户信息相关操作。
    name: 终端用户
  - description: 用户反馈操作。
    name: 消息反馈
  - description: 与管理会话相关的操作。
    name: 会话管理
  - description: 文字转语音和语音转文字操作。
    name: 语音与文字转换
  - description: 获取应用设置和信息的操作。
    name: 应用配置
  - description: 与管理标注直接回复相关的操作。
    name: 标注管理
  - description: 暂停等待人工输入的工作流恢复操作。
    name: 人工介入
  - description: 用于执行和管理工作流的操作。
    name: 工作流运行
  - description: 文本生成相关操作。
    name: 文本生成消息
  - description: 用于管理知识库的操作，包括创建、配置和检索。
    name: 知识库
  - description: 用于在知识库中创建、更新和管理文档的操作。
    name: 文档
  - description: 用于管理分段和子分段的操作。
    name: 分段
  - description: 用于管理知识库元数据字段和文档元数据值的操作。
    name: 元数据
  - description: 用于管理知识库标签和标签绑定的操作。
    name: 标签
  - description: 用于获取可用模型的操作。
    name: 模型
  - description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
    name: 知识流水线
  - description: 向知识库提问，并流式返回回答。
    name: 查询
  - description: 查看一次查询检索到了什么，以及原因。
    name: 查询记录
  - description: 在后台运行研究问题，并获取其结果。
    name: 研究任务
  - description: 读取知识库中的文档及其文件、修订版本和分段，并用元数据标注文档。
    name: 文档与分段
  - description: 跟踪、取消或重试索引，并列出知识库的后台任务。
    name: 索引任务
  - description: 跟踪文档文件、一批文件或数据源的删除，直到完成。
    name: 删除作业
  - description: 管理为知识库提供内容的数据源，以及它们的定时同步设置和连接。
    name: 数据源
  - description: 立即同步数据源，导入网站页面或提供商条目，并跟踪、取消或重试运行。
    name: 数据源同步与导入
  - description: 读取和更改知识库的模型与检索设置，并跟踪更改触发的迁移。
    name: 设置
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/documents/{document_id}/revisions:
    get:
      tags:
        - Documents and Chunks
      summary: 获取文档修订版本列表
      description: >-
        列出文档的修订版本，最新的在前。接收的是
        [获取文档列表](/zh/api-reference/documents-and-chunks/list-documents) 返回的文档
        ID，而不是文档文件 ID。


        每个修订版本都会注明其对应的文档文件。文档 ID 与文档文件 ID 的关系，详见
        [浏览文档和分段](/zh/api-reference/guides/knowledge-base#browse-documents-and-chunks)。


        填充分页前，会先排除该密钥无法读取其文档文件的修订版本。即使某页的修订版本少于 `limit` 个，也要继续沿 `next_cursor`
        翻页。
      operationId: listDocumentRevisions
      parameters:
        - description: >-
            知识库 ID：即知识库 **API 访问** 对话框中所示服务 API
            端点的最后一段（`…/knowledge-fs/spaces/<knowledge base ID>`），也是地址栏中
            `/datasets/new/` 之后的那一段。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            文档 ID，从
            [获取文档列表](/zh/api-reference/documents-and-chunks/list-documents)
            获取，或从已打开文档的地址栏中获取（`/datasets/new/<knowledge base
            ID>/documents/<document ID>`）。
          in: path
          name: document_id
          required: true
          schema:
            format: uuid
            type: string
        - description: 游标，取自上一页的 `next_cursor`。
          in: query
          name: cursor
          required: false
          schema:
            maxLength: 1000
            minLength: 1
            type: string
        - description: 每页修订版本数。
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: 响应示例
                  value:
                    data:
                      - activated_at: '2026-09-03T10:05:00Z'
                        content_hash: >-
                          9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08
                        created_at: '2026-09-03T10:02:11Z'
                        document_asset_id: 6ec0bd7f-11c0-43da-975e-2a8ad9ebae0b
                        document_asset_version: 1
                        document_id: 3d2f1c0b-9a8e-4d7c-b6a5-4f3e2d1c0b9a
                        knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                        mime_type: application/pdf
                        revision: 2
                        size_bytes: 482113
                        state: active
                      - activated_at: '2026-09-01T08:15:00Z'
                        content_hash: >-
                          b5bb9d8014a0f9b1d61e21e796d78dccdf1352f23cd32812f4850b878ae4944c
                        created_at: '2026-09-01T08:12:45Z'
                        document_asset_id: 4b81d2c6-0e5f-4a73-9c8b-5d6e7f8a9b0c
                        document_asset_version: 1
                        document_id: 3d2f1c0b-9a8e-4d7c-b6a5-4f3e2d1c0b9a
                        knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                        mime_type: application/pdf
                        revision: 1
                        size_bytes: 471002
                        state: superseded
                    next_cursor: null
              schema:
                properties:
                  data:
                    description: 一页修订版本，最新的在前。最新的修订版本不一定处于 `active` 状态。
                    items:
                      $ref: '#/components/schemas/KnowledgeBaseDocumentRevision'
                    type: array
                  next_cursor:
                    description: 下一页的游标，最后一页时为 `null`。将其作为 `cursor` 传回。
                    nullable: true
                    type: string
                type: object
          description: 一页修订版本。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request_local:
                  summary: knowledge_fs_invalid_request (request validation)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                    violations:
                      - field:
                          - limit
                        type: less_than_equal
                knowledge_fs_invalid_request_path:
                  summary: knowledge_fs_invalid_request (path ID)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                knowledge_fs_invalid_request_upstream:
                  summary: knowledge_fs_invalid_request (rejected)
                  value:
                    code: knowledge_fs_invalid_request
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The Agent Knowledge Base request is invalid.
                    status: 400
          description: >-
            - `knowledge_fs_invalid_request`：请求未通过校验。`violations` 列出每个出错的字段。

            - `knowledge_fs_invalid_request`：`cursor` 不是正整数，或 `document_id` 不是
            UUID。

            - `knowledge_fs_invalid_request`：`document_id` 格式不正确。
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：缺少 `Authorization` 请求头，或密钥无法识别、不是知识库 API 密钥。

            - `knowledge_fs_invalid_credential`：密钥有效，但其所属工作空间中没有此 ID
            的知识库，或该密钥未关联任何工作空间。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied_scope:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
          description: >-
            - `knowledge_fs_access_denied`：该密钥的访问范围限定为其他知识库、此知识库已关闭 **API
            访问**，或知识库未处于活动状态。

            - `forbidden`：在 Dify Cloud
            上，工作空间已达到其订阅套餐的知识库请求频率限制。所有调用都计入，读取操作也不例外。
        '404':
          content:
            application/json:
              examples:
                knowledge_fs_resource_not_found:
                  summary: knowledge_fs_resource_not_found
                  value:
                    code: knowledge_fs_resource_not_found
                    failure:
                      category: not_found
                      code: KNOWLEDGE_FS_NOT_FOUND
                      message: >-
                        The requested Agent Knowledge Base resource was not
                        found.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The requested Agent Knowledge Base resource was not found.
                    status: 404
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: >-
            - `knowledge_fs_resource_not_found`：不存在此 ID
            的文档，或该密钥无权读取此知识库。两种情况都报告为未找到。

            - `not_found`：当前部署已关闭 Agent 知识库功能。
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable (service error)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    failure:
                      action: contact_admin
                      category: internal
                      code: KNOWLEDGE_FS_INTERNAL_ERROR
                      message: >-
                        Agent Knowledge Base could not complete the operation.
                        Try again, or contact an administrator with the error
                        reference.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      Agent Knowledge Base could not complete the operation. Try
                      again, or contact an administrator with the error
                      reference.
                    status: 502
                knowledge_fs_upstream_unavailable_transport:
                  summary: knowledge_fs_upstream_unavailable (no response)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: '- `knowledge_fs_upstream_unavailable`：未能及时收到响应，或无法读取响应。稍候重试。'
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：此工作空间尚未配置 Agent
            知识库功能、当前部署不提供此操作，或在请求鉴权期间该密钥对此知识库的访问权限发生了变化。

            - `knowledge_fs_operation_unavailable`：暂时无法处理该请求。按
            `failure.retryPolicy` 处理。
components:
  schemas:
    KnowledgeBaseDocumentRevision:
      properties:
        activated_at:
          description: 修订版本生效的时间，ISO 8601 格式。从未生效的修订版本为 `null`。
          nullable: true
          type: string
        content_hash:
          description: 内容的 SHA-256 哈希值，十六进制编码。
          type: string
        created_at:
          description: 修订版本创建时间，ISO 8601 格式。
          type: string
        document_asset_id:
          description: >-
            此修订版本对应的文档文件 ID，可用于
            [获取文档文件](/zh/api-reference/documents-and-chunks/get-document-file)。
          type: string
        document_asset_version:
          description: 创建此修订版本时文档文件的 `version`。
          type: integer
        document_id:
          description: >-
            文档 ID，即 [获取文档](/zh/api-reference/documents-and-chunks/get-document)
            中的 `id`。
          type: string
        knowledge_space_id:
          description: 知识库的内部 ID，并非路径中的知识库 ID。
          type: string
        mime_type:
          description: 文档文件的 MIME 类型。
          type: string
        revision:
          description: >-
            修订版本号，从 `1` 开始。用作
            [获取分段列表](/zh/api-reference/documents-and-chunks/list-chunks) 的路径参数
            `revision`。
          type: integer
        size_bytes:
          description: 文档文件大小，单位为字节。
          type: integer
        state:
          description: >-
            修订版本正在索引时为 `candidate`，知识库当前提供的修订版本为 `active`，有更新的修订版本生效后为
            `superseded`，索引失败时为 `failed`。
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        每个请求都通过 API Key 认证：`Authorization: Bearer {API_KEY}`。应用接口使用应用 API
        Key，知识库接口使用知识库 API Key（[快速开始](/zh/api-reference/guides/get-started)）。


        API Key 应保存在服务端，切勿嵌入客户端代码。缺失或无效的 Key 会返回 HTTP `401`（`unauthorized`）。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.